package cz.fidentis.analyst.feature.services;

import cz.fidentis.analyst.feature.FeaturePoint;
import cz.fidentis.analyst.feature.utils.FeaturePointFileFormatTypes;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.List;

/**
 * Class used for exporting feature points from file
 * 
 * for more details @see cz.fidentis.analyst.feature.services.FeaturePointsCsvExporter or @see cz.fidentis.analyst.feature.services.FeaturePointsFpExporter
 * 
 * @author Jakub Kolman
 */
public class FeaturePointExportService {

    public void exportFeaturePoints(List<FeaturePoint> featurePointList, String objectName, String format) throws FileNotFoundException, IOException {
        switch (format) {
            case FeaturePointFileFormatTypes.FORMAT_TYPE_OBJ:
                FeaturePointsCsvExporter csvExporter = new FeaturePointsCsvExporter();
                csvExporter.exportFeaturePointsToCSV(featurePointList, objectName);
                break;

            case FeaturePointFileFormatTypes.FORMAT_TYPE_FP:
                FeaturePointsFpExporter fpExporter = new FeaturePointsFpExporter();
                fpExporter.exportFeaturePointsToFP(featurePointList, objectName);
                break;
                
            default:
                break;
        }
    }



}
